const os = require('os');

module.exports = {
  printWidth: 140, // 换行长度
  semi: true, // 使用分号
  singleQuote: true, // 使用单引号
  tabWidth: 4, // tab长度
  trailingComma: 'none', // 确保数组末尾没有尾随逗号
  bracketSpacing: true, // 数组括号内的空格（根据需要调整）
  proseWrap: 'never', // 确保不会因文档换行规则影响数组
  endOfLine: os.platform() === 'win32' ? 'crlf' : 'lf' // 同一换行符格式，可选值: "lf", "crlf", "auto"
};
